diff --git a/src/util/child_common.c b/src/util/child_common.c
index 55b3672..285eadb 100644
--- a/src/util/child_common.c
+++ b/src/util/child_common.c
@@ -56,7 +56,7 @@ errno_t sss_sigchld_init(TALLOC_CTX *mem_ctx,
 
     sigchld_ctx = talloc_zero(mem_ctx, struct sss_sigchild_ctx);
     if (!sigchld_ctx) {
-        DEBUG(0, ("fatal error initializing sss_sigchild_ctx\n"));
+        DEBUG(0, "fatal error initializing sss_sigchild_ctx\n");
         return ENOMEM;
     }
     sigchld_ctx->ev = ev;
@@ -64,8 +64,8 @@ errno_t sss_sigchld_init(TALLOC_CTX *mem_ctx,
     ret = sss_hash_create(sigchld_ctx, 10, &sigchld_ctx->children);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("fatal error initializing children hash table: [%s]\n",
-               strerror(ret)));
+              "fatal error initializing children hash table: [%s]\n",
+               strerror(ret));
         talloc_free(sigchld_ctx);
         return ret;
     }
@@ -95,8 +95,8 @@ static int sss_child_destructor(void *ptr)
     error = hash_delete(child_ctx->sigchld_ctx->children, &key);
     if (error != HASH_SUCCESS && error != HASH_ERROR_KEY_NOT_FOUND) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("failed to delete child_ctx from hash table [%d]: %s\n",
-               error, hash_error_string(error)));
+              "failed to delete child_ctx from hash table [%d]: %s\n",
+               error, hash_error_string(error));
     }
 
     return 0;
@@ -165,8 +165,8 @@ static void sss_child_invoke_cb(struct tevent_context *ev,
     error = hash_delete(child_ctx->sigchld_ctx->children, &key);
     if (error != HASH_SUCCESS && error != HASH_ERROR_KEY_NOT_FOUND) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("failed to delete child_ctx from hash table [%d]: %s\n",
-               error, hash_error_string(error)));
+              "failed to delete child_ctx from hash table [%d]: %s\n",
+               error, hash_error_string(error));
     }
 
     if (child_ctx->cb) {
@@ -204,7 +204,7 @@ void sss_child_handler(struct tevent_context *ev,
 
         if (pid == -1) {
             DEBUG(SSSDBG_TRACE_INTERNAL,
-                  ("waitpid failed [%d]: %s\n", errno, strerror(errno)));
+                  "waitpid failed [%d]: %s\n", errno, strerror(errno));
             return;
         } else if (pid == 0) continue;
 
@@ -216,14 +216,14 @@ void sss_child_handler(struct tevent_context *ev,
             imm = tevent_create_immediate(child_ctx);
             if (imm == NULL) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Out of memory invoking SIGCHLD callback\n"));
+                      "Out of memory invoking SIGCHLD callback\n");
                 return;
             }
 
             invoke_pvt = talloc_zero(child_ctx, struct sss_child_cb_pvt);
             if (invoke_pvt == NULL) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("out of memory invoking SIGCHLD callback\n"));
+                      "out of memory invoking SIGCHLD callback\n");
                 return;
             }
             invoke_pvt->child_ctx = child_ctx;
@@ -233,10 +233,10 @@ void sss_child_handler(struct tevent_context *ev,
                                       sss_child_invoke_cb, invoke_pvt);
         } else if (error == HASH_ERROR_KEY_NOT_FOUND) {
             DEBUG(SSSDBG_TRACE_LIBS,
-                 ("BUG: waitpid() returned [%d] but it was not in the table. "
+                 "BUG: waitpid() returned [%d] but it was not in the table. "
                   "This could be due to a linked library creating processes "
                   "without registering them with the sigchld handler\n",
-                  pid));
+                  pid);
             /* We will simply ignore this and return to the loop
              * This will prevent a zombie, but may cause unexpected
              * behavior in the code that was trying to handle this
@@ -244,8 +244,8 @@ void sss_child_handler(struct tevent_context *ev,
              */
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("SIGCHLD hash table error [%d]: %s\n",
-                   error, hash_error_string(error)));
+                  "SIGCHLD hash table error [%d]: %s\n",
+                   error, hash_error_string(error));
             /* This is bad, but we should try to check for other
              * children anyway, to avoid potential zombies.
              */
@@ -267,7 +267,7 @@ int child_handler_setup(struct tevent_context *ev, int pid,
 {
     struct sss_child_ctx_old *child_ctx;
 
-    DEBUG(8, ("Setting up signal handler up for pid [%d]\n", pid));
+    DEBUG(8, "Setting up signal handler up for pid [%d]\n", pid);
 
     child_ctx = talloc_zero(ev, struct sss_child_ctx_old);
     if (child_ctx == NULL) {
@@ -286,7 +286,7 @@ int child_handler_setup(struct tevent_context *ev, int pid,
     child_ctx->cb = cb;
     child_ctx->pvt = pvt;
 
-    DEBUG(8, ("Signal handler set up for pid [%d]\n", pid));
+    DEBUG(8, "Signal handler set up for pid [%d]\n", pid);
 
     if (_child_ctx != NULL) {
         *_child_ctx = child_ctx;
@@ -307,7 +307,7 @@ void child_handler_destroy(struct sss_child_ctx_old *ctx)
     ret = kill(ctx->pid, SIGKILL);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_MINOR_FAILURE, ("kill failed [%d][%s].\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "kill failed [%d][%s].\n", ret, strerror(ret));
     }
 }
 
@@ -343,7 +343,7 @@ struct tevent_req *write_pipe_send(TALLOC_CTX *mem_ctx,
     fde = tevent_add_fd(ev, state, fd, TEVENT_FD_WRITE,
                         write_pipe_handler, req);
     if (fde == NULL) {
-        DEBUG(1, ("tevent_add_fd failed.\n"));
+        DEBUG(1, "tevent_add_fd failed.\n");
         goto fail;
     }
 
@@ -365,8 +365,8 @@ static void write_pipe_handler(struct tevent_context *ev,
 
     if (flags & TEVENT_FD_READ) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("write_pipe_done called with TEVENT_FD_READ,"
-               " this should not happen.\n"));
+              "write_pipe_done called with TEVENT_FD_READ,"
+               " this should not happen.\n");
         tevent_req_error(req, EINVAL);
         return;
     }
@@ -376,19 +376,19 @@ static void write_pipe_handler(struct tevent_context *ev,
     if (state->written == -1) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("write failed [%d][%s].\n", ret, strerror(ret)));
+              "write failed [%d][%s].\n", ret, strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
 
     if (state->len != state->written) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Wrote %zu bytes, expected %zu\n",
-              state->written, state->len));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Wrote %zu bytes, expected %zu\n",
+              state->written, state->len);
         tevent_req_error(req, EIO);
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("All data has been sent!\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "All data has been sent!\n");
     tevent_req_done(req);
     return;
 }
@@ -427,7 +427,7 @@ struct tevent_req *read_pipe_send(TALLOC_CTX *mem_ctx,
     fde = tevent_add_fd(ev, state, fd, TEVENT_FD_READ,
                         read_pipe_handler, req);
     if (fde == NULL) {
-        DEBUG(1, ("tevent_add_fd failed.\n"));
+        DEBUG(1, "tevent_add_fd failed.\n");
         goto fail;
     }
 
@@ -450,8 +450,8 @@ static void read_pipe_handler(struct tevent_context *ev,
     uint8_t buf[CHILD_MSG_CHUNK];
 
     if (flags & TEVENT_FD_WRITE) {
-        DEBUG(1, ("read_pipe_done called with TEVENT_FD_WRITE,"
-                  " this should not happen.\n"));
+        DEBUG(1, "read_pipe_done called with TEVENT_FD_WRITE,"
+                  " this should not happen.\n");
         tevent_req_error(req, EINVAL);
         return;
     }
@@ -462,7 +462,7 @@ static void read_pipe_handler(struct tevent_context *ev,
     if (size == -1) {
         err = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("read failed [%d][%s].\n", err, strerror(err)));
+              "read failed [%d][%s].\n", err, strerror(err));
         tevent_req_error(req, err);
         return;
 
@@ -479,13 +479,13 @@ static void read_pipe_handler(struct tevent_context *ev,
         return;
 
     } else if (size == 0) {
-        DEBUG(6, ("EOF received, client finished\n"));
+        DEBUG(6, "EOF received, client finished\n");
         tevent_req_done(req);
         return;
 
     } else {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("unexpected return value of read [%zd].\n", size));
+              "unexpected return value of read [%zd].\n", size);
         tevent_req_error(req, EINVAL);
         return;
     }
@@ -514,13 +514,13 @@ void fd_nonblocking(int fd)
     flags = fcntl(fd, F_GETFL, 0);
     if (flags == -1) {
         ret = errno;
-        DEBUG(1, ("F_GETFL failed [%d][%s].\n", ret, strerror(ret)));
+        DEBUG(1, "F_GETFL failed [%d][%s].\n", ret, strerror(ret));
         return;
     }
 
     if (fcntl(fd, F_SETFL, flags | O_NONBLOCK) == -1) {
         ret = errno;
-        DEBUG(1, ("F_SETFL failed [%d][%s].\n", ret, strerror(ret)));
+        DEBUG(1, "F_SETFL failed [%d][%s].\n", ret, strerror(ret));
     }
 
     return;
@@ -538,40 +538,40 @@ void child_sig_handler(struct tevent_context *ev,
     struct tevent_immediate *imm;
 
     if (count <= 0) {
-        DEBUG(0, ("SIGCHLD handler called with invalid child count\n"));
+        DEBUG(0, "SIGCHLD handler called with invalid child count\n");
         return;
     }
 
     child_ctx = talloc_get_type(pvt, struct sss_child_ctx_old);
-    DEBUG(7, ("Waiting for child [%d].\n", child_ctx->pid));
+    DEBUG(7, "Waiting for child [%d].\n", child_ctx->pid);
 
     errno = 0;
     ret = waitpid(child_ctx->pid, &child_ctx->child_status, WNOHANG);
 
     if (ret == -1) {
         err = errno;
-        DEBUG(1, ("waitpid failed [%d][%s].\n", err, strerror(err)));
+        DEBUG(1, "waitpid failed [%d][%s].\n", err, strerror(err));
     } else if (ret == 0) {
-        DEBUG(1, ("waitpid did not found a child with changed status.\n"));
+        DEBUG(1, "waitpid did not found a child with changed status.\n");
     } else {
         if (WIFEXITED(child_ctx->child_status)) {
             if (WEXITSTATUS(child_ctx->child_status) != 0) {
-                DEBUG(1, ("child [%d] failed with status [%d].\n", ret,
-                          WEXITSTATUS(child_ctx->child_status)));
+                DEBUG(1, "child [%d] failed with status [%d].\n", ret,
+                          WEXITSTATUS(child_ctx->child_status));
             } else {
-                DEBUG(4, ("child [%d] finished successfully.\n", ret));
+                DEBUG(4, "child [%d] finished successfully.\n", ret);
             }
         } else if (WIFSIGNALED(child_ctx->child_status)) {
-            DEBUG(1, ("child [%d] was terminated by signal [%d].\n", ret,
-                      WTERMSIG(child_ctx->child_status)));
+            DEBUG(1, "child [%d] was terminated by signal [%d].\n", ret,
+                      WTERMSIG(child_ctx->child_status));
         } else {
             if (WIFSTOPPED(child_ctx->child_status)) {
-                DEBUG(7, ("child [%d] was stopped by signal [%d].\n", ret,
-                          WSTOPSIG(child_ctx->child_status)));
+                DEBUG(7, "child [%d] was stopped by signal [%d].\n", ret,
+                          WSTOPSIG(child_ctx->child_status));
             }
             if (WIFCONTINUED(child_ctx->child_status)) {
-                DEBUG(7, ("child [%d] was resumed by delivery of SIGCONT.\n",
-                          ret));
+                DEBUG(7, "child [%d] was resumed by delivery of SIGCONT.\n",
+                          ret);
             }
 
             return;
@@ -582,7 +582,7 @@ void child_sig_handler(struct tevent_context *ev,
          */
         imm = tevent_create_immediate(child_ctx);
         if (imm == NULL) {
-            DEBUG(0, ("Out of memory invoking sig handler callback\n"));
+            DEBUG(0, "Out of memory invoking sig handler callback\n");
             return;
         }
 
@@ -633,7 +633,7 @@ static errno_t prepare_child_argv(TALLOC_CTX *mem_ctx,
      */
     argv  = talloc_array(mem_ctx, char *, argc);
     if (argv == NULL) {
-        DEBUG(1, ("talloc_array failed.\n"));
+        DEBUG(1, "talloc_array failed.\n");
         return ENOMEM;
     }
 
@@ -701,7 +701,7 @@ errno_t exec_child(TALLOC_CTX *mem_ctx,
     ret = dup2(pipefd_to_child[0], STDIN_FILENO);
     if (ret == -1) {
         err = errno;
-        DEBUG(1, ("dup2 failed [%d][%s].\n", err, strerror(err)));
+        DEBUG(1, "dup2 failed [%d][%s].\n", err, strerror(err));
         return err;
     }
 
@@ -709,20 +709,20 @@ errno_t exec_child(TALLOC_CTX *mem_ctx,
     ret = dup2(pipefd_from_child[1], STDOUT_FILENO);
     if (ret == -1) {
         err = errno;
-        DEBUG(1, ("dup2 failed [%d][%s].\n", err, strerror(err)));
+        DEBUG(1, "dup2 failed [%d][%s].\n", err, strerror(err));
         return err;
     }
 
     ret = prepare_child_argv(mem_ctx, debug_fd,
                              binary, &argv);
     if (ret != EOK) {
-        DEBUG(1, ("prepare_child_argv.\n"));
+        DEBUG(1, "prepare_child_argv.\n");
         return ret;
     }
 
     execv(binary, argv);
     err = errno;
-    DEBUG(SSSDBG_OP_FAILURE, ("execv failed [%d][%s].\n", err, strerror(err)));
+    DEBUG(SSSDBG_OP_FAILURE, "execv failed [%d][%s].\n", err, strerror(err));
     return err;
 }
 
@@ -734,14 +734,14 @@ void child_cleanup(int readfd, int writefd)
         ret = close(readfd);
         if (ret != EOK) {
             ret = errno;
-            DEBUG(1, ("close failed [%d][%s].\n", ret, strerror(ret)));
+            DEBUG(1, "close failed [%d][%s].\n", ret, strerror(ret));
         }
     }
     if (writefd != -1) {
         ret = close(writefd);
         if (ret != EOK) {
             ret = errno;
-            DEBUG(1, ("close failed [%d][%s].\n", ret, strerror(ret)));
+            DEBUG(1, "close failed [%d][%s].\n", ret, strerror(ret));
         }
     }
 }
diff --git a/src/util/crypto/libcrypto/crypto_base64.c b/src/util/crypto/libcrypto/crypto_base64.c
index 15734a0..11a0648 100644
--- a/src/util/crypto/libcrypto/crypto_base64.c
+++ b/src/util/crypto/libcrypto/crypto_base64.c
@@ -122,7 +122,7 @@ unsigned char *sss_base64_decode(TALLOC_CTX *mem_ctx,
 
         *outsize = size;
     } else {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot get decoded data\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot get decoded data\n");
     }
     BIO_free_all(b64);
     BIO_free(bmem_out);
diff --git a/src/util/crypto/libcrypto/crypto_obfuscate.c b/src/util/crypto/libcrypto/crypto_obfuscate.c
index e303e8c..50ea469 100644
--- a/src/util/crypto/libcrypto/crypto_obfuscate.c
+++ b/src/util/crypto/libcrypto/crypto_obfuscate.c
@@ -60,7 +60,7 @@ static struct crypto_mech_data cmdata[] = {
 static struct crypto_mech_data *get_crypto_mech_data(enum obfmethod meth)
 {
     if (meth >= NUM_OBFMETHODS) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unsupported cipher type\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unsupported cipher type\n");
         return NULL;
     }
     return &cmdata[meth];
@@ -122,20 +122,20 @@ int sss_password_encrypt(TALLOC_CTX *mem_ctx, const char *password, int plen,
     }
 
     if (!EVP_EncryptInit_ex(&ctx, mech_props->cipher(), 0, keybuf, ivbuf)) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failure to initialize cipher contex\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failure to initialize cipher contex\n");
         ret = EIO;
         goto done;
     }
 
     /* sample data we'll encrypt and decrypt */
     if (!EVP_EncryptUpdate(&ctx, cryptotext, &ctlen, (const unsigned char*)password, plen)) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot execute the encryption operation\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot execute the encryption operation\n");
         ret = EIO;
         goto done;
     }
 
     if(!EVP_EncryptFinal_ex(&ctx, cryptotext+ctlen, &digestlen)) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot finialize the encryption operation\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot finialize the encryption operation\n");
         ret = EIO;
         goto done;
     }
@@ -160,9 +160,9 @@ int sss_password_encrypt(TALLOC_CTX *mem_ctx, const char *password, int plen,
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Writing method: %d\n", meth));
+    DEBUG(SSSDBG_TRACE_FUNC, "Writing method: %d\n", meth);
     SAFEALIGN_SET_UINT16(&obfbuf[p], meth, &p);
-    DEBUG(SSSDBG_TRACE_FUNC, ("Writing bufsize: %d\n", result_len));
+    DEBUG(SSSDBG_TRACE_FUNC, "Writing bufsize: %d\n", result_len);
     SAFEALIGN_SET_UINT16(&obfbuf[p], result_len, &p);
     safealign_memcpy(&obfbuf[p], keybuf, mech_props->keylen, &p);
     safealign_memcpy(&obfbuf[p], ivbuf, mech_props->bsize, &p);
@@ -224,9 +224,9 @@ int sss_password_decrypt(TALLOC_CTX *mem_ctx, char *b64encoded,
 
     /* unpack obfuscation buffer */
     SAFEALIGN_COPY_UINT16_CHECK(&meth, obfbuf+p, obflen, &p);
-    DEBUG(SSSDBG_TRACE_FUNC, ("Read method: %d\n", meth));
+    DEBUG(SSSDBG_TRACE_FUNC, "Read method: %d\n", meth);
     SAFEALIGN_COPY_UINT16_CHECK(&ctsize, obfbuf+p, obflen, &p);
-    DEBUG(SSSDBG_TRACE_FUNC, ("Read bufsize: %d\n", ctsize));
+    DEBUG(SSSDBG_TRACE_FUNC, "Read bufsize: %d\n", ctsize);
 
     mech_props = get_crypto_mech_data(meth);
     if (mech_props == NULL) {
@@ -239,7 +239,7 @@ int sss_password_decrypt(TALLOC_CTX *mem_ctx, char *b64encoded,
            obfbuf + p + mech_props->keylen + mech_props->bsize + ctsize,
            OBF_BUFFER_SENTINEL_SIZE);
     if (memcmp(sentinel_check, OBF_BUFFER_SENTINEL, OBF_BUFFER_SENTINEL_SIZE) != 0) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Obfuscation buffer seems corrupt, aborting\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Obfuscation buffer seems corrupt, aborting\n");
         ret = EFAULT;
         goto done;
     }
diff --git a/src/util/crypto/nss/nss_obfuscate.c b/src/util/crypto/nss/nss_obfuscate.c
index 842b58d..ebe87be 100644
--- a/src/util/crypto/nss/nss_obfuscate.c
+++ b/src/util/crypto/nss/nss_obfuscate.c
@@ -77,7 +77,7 @@ static struct crypto_mech_data cmdata[] = {
 static struct crypto_mech_data *get_crypto_mech_data(enum obfmethod meth)
 {
     if (meth >= NUM_OBFMETHODS) {
-        DEBUG(1, ("Unsupported cipher type\n"));
+        DEBUG(1, "Unsupported cipher type\n");
         return NULL;
     }
     return &cmdata[meth];
@@ -97,24 +97,24 @@ static int generate_random_key(TALLOC_CTX *mem_ctx,
     randkey = PK11_KeyGen(slot, mech_props->cipher,
                           NULL, mech_props->keylen, NULL);
     if (randkey == NULL) {
-        DEBUG(1, ("Failure to generate key (err %d)\n",
-                  PR_GetError()));
+        DEBUG(1, "Failure to generate key (err %d)\n",
+                  PR_GetError());
         ret = EIO;
         goto done;
     }
 
     sret = PK11_ExtractKeyValue(randkey);
     if (sret != SECSuccess) {
-        DEBUG(1, ("Failure to extract key value (err %d)\n",
-                  PR_GetError()));
+        DEBUG(1, "Failure to extract key value (err %d)\n",
+                  PR_GetError());
         ret = EIO;
         goto done;
     }
 
     randkeydata = PK11_GetKeyData(randkey);
     if (randkeydata == NULL) {
-        DEBUG(1, ("Failure to get key data (err %d)\n",
-                  PR_GetError()));
+        DEBUG(1, "Failure to get key data (err %d)\n",
+                  PR_GetError());
         ret = EIO;
         goto done;
     }
@@ -168,8 +168,8 @@ static int nss_ctx_init(TALLOC_CTX *mem_ctx,
 
     cctx->slot = PK11_GetBestSlot(mech_props->cipher, NULL);
     if (cctx->slot == NULL) {
-        DEBUG(1, ("Unable to find security device (err %d)\n",
-                  PR_GetError()));
+        DEBUG(1, "Unable to find security device (err %d)\n",
+                  PR_GetError());
         ret = EIO;
         goto done;
     }
@@ -194,8 +194,8 @@ static int nss_encrypt_decrypt_init(struct crypto_mech_data *mech_props,
     cctx->keyobj = PK11_ImportSymKey(cctx->slot, mech_props->cipher,
                                      PK11_OriginUnwrap, op, cctx->key, NULL);
     if (cctx->keyobj == NULL) {
-        DEBUG(1, ("Failure to import key into NSS (err %d)\n",
-                  PR_GetError()));
+        DEBUG(1, "Failure to import key into NSS (err %d)\n",
+                  PR_GetError());
         ret = EIO;
         goto done;
     }
@@ -203,8 +203,8 @@ static int nss_encrypt_decrypt_init(struct crypto_mech_data *mech_props,
     /* turn the raw IV into a initialization vector object */
     cctx->sparam = PK11_ParamFromIV(mech_props->cipher, cctx->iv);
     if (cctx->sparam == NULL) {
-        DEBUG(1, ("Failure to set up PKCS11 param (err %d)\n",
-                  PR_GetError()));
+        DEBUG(1, "Failure to set up PKCS11 param (err %d)\n",
+                  PR_GetError());
         ret = EIO;
         goto done;
     }
@@ -213,8 +213,8 @@ static int nss_encrypt_decrypt_init(struct crypto_mech_data *mech_props,
     cctx->ectx = PK11_CreateContextBySymKey(mech_props->cipher, op,
                                             cctx->keyobj, cctx->sparam);
     if (cctx->ectx == NULL) {
-        DEBUG(1, ("Cannot create cipher context (err %d)\n",
-                  PORT_GetError()));
+        DEBUG(1, "Cannot create cipher context (err %d)\n",
+                  PORT_GetError());
         ret = EIO;
         goto done;
     }
@@ -265,26 +265,26 @@ int sss_password_encrypt(TALLOC_CTX *mem_ctx, const char *password, int plen,
 
     ret = nss_ctx_init(tmp_ctx, mech_props, &cctx);
     if (ret) {
-        DEBUG(1, ("Cannot initialize NSS context\n"));
+        DEBUG(1, "Cannot initialize NSS context\n");
         goto done;
     }
 
     /* generate random encryption and IV key */
     ret = generate_random_key(cctx, cctx->slot, mech_props, &cctx->key);
     if (ret != EOK) {
-        DEBUG(1, ("Could not generate encryption key\n"));
+        DEBUG(1, "Could not generate encryption key\n");
         goto done;
     }
 
     ret = generate_random_key(cctx, cctx->slot, mech_props, &cctx->iv);
     if (ret != EOK) {
-        DEBUG(1, ("Could not generate initialization vector\n"));
+        DEBUG(1, "Could not generate initialization vector\n");
         goto done;
     }
 
     ret = nss_encrypt_decrypt_init(mech_props, true, cctx);
     if (ret) {
-        DEBUG(1, ("Cannot initialize NSS context properties\n"));
+        DEBUG(1, "Cannot initialize NSS context properties\n");
         goto done;
     }
 
@@ -306,8 +306,8 @@ int sss_password_encrypt(TALLOC_CTX *mem_ctx, const char *password, int plen,
     sret = PK11_CipherOp(cctx->ectx, cryptotext, &ctlen, ct_maxsize,
                          plaintext, plen);
     if (sret != SECSuccess) {
-        DEBUG(1, ("Cannot execute the encryption operation (err %d)\n",
-                   PR_GetError()));
+        DEBUG(1, "Cannot execute the encryption operation (err %d)\n",
+                   PR_GetError());
         ret = EIO;
         goto done;
     }
@@ -315,8 +315,8 @@ int sss_password_encrypt(TALLOC_CTX *mem_ctx, const char *password, int plen,
     sret = PK11_DigestFinal(cctx->ectx, cryptotext+ctlen, &digestlen,
                             ct_maxsize-ctlen);
     if (sret != SECSuccess) {
-        DEBUG(1, ("Cannot execute the digest operation (err %d)\n",
-                    PR_GetError()));
+        DEBUG(1, "Cannot execute the digest operation (err %d)\n",
+                    PR_GetError());
         ret = EIO;
         goto done;
     }
@@ -340,9 +340,9 @@ int sss_password_encrypt(TALLOC_CTX *mem_ctx, const char *password, int plen,
         goto done;
     }
 
-    DEBUG(8, ("Writing method: %d\n", meth));
+    DEBUG(8, "Writing method: %d\n", meth);
     SAFEALIGN_SET_UINT16(&obfbuf[p], meth, &p);
-    DEBUG(8, ("Writing bufsize: %d\n", result_len));
+    DEBUG(8, "Writing bufsize: %d\n", result_len);
     SAFEALIGN_SET_UINT16(&obfbuf[p], result_len, &p);
     safealign_memcpy(&obfbuf[p], cctx->key->data, mech_props->keylen, &p);
     safealign_memcpy(&obfbuf[p], cctx->iv->data, mech_props->bsize, &p);
@@ -409,9 +409,9 @@ int sss_password_decrypt(TALLOC_CTX *mem_ctx, char *b64encoded,
 
     /* unpack obfuscation buffer */
     SAFEALIGN_COPY_UINT16_CHECK(&meth, obfbuf+p, obflen, &p);
-    DEBUG(8, ("Read method: %d\n", meth));
+    DEBUG(8, "Read method: %d\n", meth);
     SAFEALIGN_COPY_UINT16_CHECK(&ctsize, obfbuf+p, obflen, &p);
-    DEBUG(8, ("Read bufsize: %d\n", ctsize));
+    DEBUG(8, "Read bufsize: %d\n", ctsize);
 
     mech_props = get_crypto_mech_data(meth);
     if (mech_props == NULL) {
@@ -424,7 +424,7 @@ int sss_password_decrypt(TALLOC_CTX *mem_ctx, char *b64encoded,
            obfbuf + p + mech_props->keylen + mech_props->bsize + ctsize,
            OBF_BUFFER_SENTINEL_SIZE);
     if (memcmp(sentinel_check, OBF_BUFFER_SENTINEL, OBF_BUFFER_SENTINEL_SIZE) != 0) {
-        DEBUG(0, ("Obfuscation buffer seems corrupt, aborting\n"));
+        DEBUG(0, "Obfuscation buffer seems corrupt, aborting\n");
         ret = EFAULT;
         goto done;
     }
@@ -453,7 +453,7 @@ int sss_password_decrypt(TALLOC_CTX *mem_ctx, char *b64encoded,
 
     ret = nss_ctx_init(tmp_ctx, mech_props, &cctx);
     if (ret) {
-        DEBUG(1, ("Cannot initialize NSS context\n"));
+        DEBUG(1, "Cannot initialize NSS context\n");
         goto done;
     }
 
@@ -481,8 +481,8 @@ int sss_password_decrypt(TALLOC_CTX *mem_ctx, char *b64encoded,
     sret = PK11_CipherOp(cctx->ectx, (unsigned char *) pwdbuf, &plainlen, ctsize,
                          cryptotext, ctsize);
     if (sret != SECSuccess) {
-        DEBUG(1, ("Cannot execute the encryption operation (err %d)\n",
-                   PR_GetError()));
+        DEBUG(1, "Cannot execute the encryption operation (err %d)\n",
+                   PR_GetError());
         ret = EIO;
         goto done;
     }
@@ -490,8 +490,8 @@ int sss_password_decrypt(TALLOC_CTX *mem_ctx, char *b64encoded,
     sret = PK11_DigestFinal(cctx->ectx, (unsigned char *) pwdbuf+plainlen, &digestlen,
                             ctsize - plainlen);
     if (sret != SECSuccess) {
-        DEBUG(1, ("Cannot execute the encryption operation (err %d)\n",
-                   PR_GetError()));
+        DEBUG(1, "Cannot execute the encryption operation (err %d)\n",
+                   PR_GetError());
         ret = EIO;
         goto done;
     }
diff --git a/src/util/crypto/nss/nss_util.c b/src/util/crypto/nss/nss_util.c
index 9a272ca..e93bf20 100644
--- a/src/util/crypto/nss/nss_util.c
+++ b/src/util/crypto/nss/nss_util.c
@@ -46,8 +46,8 @@ int nspr_nss_init(void)
 
     sret = NSS_NoDB_Init(NULL);
     if (sret != SECSuccess) {
-        DEBUG(1, ("Error initializing connection to NSS [%d]\n",
-                  PR_GetError()));
+        DEBUG(1, "Error initializing connection to NSS [%d]\n",
+                  PR_GetError());
         return EIO;
     }
 
@@ -64,8 +64,8 @@ int nspr_nss_cleanup(void)
 
     sret = NSS_Shutdown();
     if (sret != SECSuccess) {
-        DEBUG(1, ("Error shutting down connection to NSS [%d]\n",
-                  PR_GetError()));
+        DEBUG(1, "Error shutting down connection to NSS [%d]\n",
+                  PR_GetError());
         return EIO;
     }
 
diff --git a/src/util/debug.c b/src/util/debug.c
index 9f87468..c2e2571 100644
--- a/src/util/debug.c
+++ b/src/util/debug.c
@@ -50,7 +50,7 @@ errno_t set_debug_file_from_fd(const int fd)
     dummy = fdopen(fd, "a");
     if (dummy == NULL) {
         ret = errno;
-        DEBUG(1, ("fdopen failed [%d][%s].\n", ret, strerror(ret)));
+        DEBUG(1, "fdopen failed [%d][%s].\n", ret, strerror(ret));
         sss_log(SSS_LOG_ERR,
                 "Could not open debug file descriptor [%d]. "
                 "Debug messages will not be written to the file "
@@ -318,5 +318,5 @@ int rotate_debug_files(void)
 
 void talloc_log_fn(const char *message)
 {
-    DEBUG(SSSDBG_FATAL_FAILURE, ("%s", message));
+    DEBUG(SSSDBG_FATAL_FAILURE, "%s", message);
 }
